Page MenuHomePhabricator

Allow for anonymous task logging with special template
Closed, DuplicatePublic

Description

In some cases new users (wikipedia anons) may need to log bugs, these users already have implicitly or explicitly chosen not to create mediawiki accounts, currently these users cannot easily create bugs they encounter. Allowing anons to create bugs, pre assigned to a specific project or tag could open up the ability to interact with phabricator to a larger audience.

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Aklapper closed this task as Declined.Oct 29 2014, 7:03 PM
Aklapper claimed this task.

While we need a good balance between making it unnecessarily hard (so people would not report issues) and too easy (too many reports with bad quality) I am strongly against this.

  • Many users only ever create a single report (http://dirkriehle.com/uploads/byhand/theses/2013/capraro_2013_arbeit.pdf page 65) and are not familiar with the expectations of developers what makes a good bug report. Guidelines are often ignored. Hence some tickets are „filed by well-meaning but inexperienced or ill-informed users“ (Karl Fogel, "Producing Open Source Software - How to run a successful free software project", 2006, page 77). Only experienced users manage to create bug reports which have all needed information included in the initial comment. If anonymous reporting was possible the feedback rate on followup questions will be even worse.
  • We allow creating tickets via email without registration (T52) so users could always create a throw-away email address if they really wanted. I consider that an acceptable obstacle. Again, it's a trade-off.
Qgil added a subscriber: Qgil.Oct 29 2014, 7:08 PM

Anonymous users can always report anonymously in their closest Village Pump. We need to be in touch with reporters, and be able to get back to them with questions.

Also, opening the door to anonymous users implies also a risk of opening the doors to spam.

This presupposes that users know what village pump is, where to find it, know how to use a talk page. All of these are HUGE barriers to entry for most users.

Well, but doesn't the same apply to knowing what Phabricator is, where to find it, and how to use it?

Also as a meta conversation, we're being pretty quick to close some of these requests about changes for phabricator, without really having a discussion about them, which seems different than how we'd do things with bugzilla. Is there a better place to discuss this?

@Aklapper my point is that we can easily link someone to Phabricator, for instance within a beta feature, a site banner, or any other place where users might experience new or unstable software. Phabricator is structured so its easy for a user to fill in a form, the same cannot be said of interacting with village pump.

Dzahn added a subscriber: Dzahn.Oct 29 2014, 7:29 PM

while i think there are quite a few valid points not to do this, i don't think "protection from spam" is one of them. that would be solved by captcha, spammers also create users, btw.

I'm happy to provide more scientific literature references for this specific request if wanted.
I would not have declined this ticket right away if I was "just" against it based on some vague feeling or personal impressions - that's why I wrote "strongly against" because my opinion is based on FOSS issue tracking research of the last ~10 years.

Qgil added a comment.Oct 29 2014, 7:31 PM

I think this is the right place to have discussions about Phabricator. Tasks can be reopened (and are being reopened) when there are more/better/other arguments, or more people in disagreement.

For what is worth, Bugzilla, Trello, and Mingle don't allow submissions from anonymous users. RT's main interface is via email. a functionality that is being replicated in Phabricator. Therefore, we are just following what has been common practice until now. Changing this practice would require more discussion.

Dzahn removed a subscriber: Dzahn.Oct 29 2014, 7:31 PM

Trello supports anonymous commenting. but not card creations. just to clarify.

@Aklapper I respect what you're saying, you have a lot of knowledge on this, however in your experience have you found any larger scale projects which do allow for anonymous logging?

I think if we're afraid of spam, low quality reports, or duplicates we could associate a tag with tasks created this way in order to more easily triage them. Additionally, having a better Search-on-create (Bugzilla, Quora) to keep duplicates from being created in the first place.

Qgil added a comment.Oct 29 2014, 7:41 PM

@Aklapper my point is that we can easily link someone to Phabricator, for instance within a beta feature, a site banner, or any other place where users might experience new or unstable software. Phabricator is structured so its easy for a user to fill in a form, the same cannot be said of interacting with village pump.

Agreed. But in this case, first the maintainers of those beta features etc would need to define a plan including how anonymous users could provide feedback, and whether Phabricator could be the good tool for that, who would triage that content, etc. In that context we can discuss Phabricator features for anonymous users better than as a generic request.

Can we reopen this as low priority, until we figure out a workable solution to deal with spam, duplicate tasks, etc.

Qgil reopened this task as Open.Oct 29 2014, 7:50 PM
Qgil triaged this task as Low priority.
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.

@Aklapper I respect what you're saying, you have a lot of knowledge on this, however in your experience have you found any larger scale projects which do allow for anonymous logging?

I am not aware of any (but research mostly concentrates on Bugzilla and JIRA; recently finally a bit of GitHub). I'd love to know too; nearly all papers are based on interviews with developers of bigger projects and bug database analyses.

I think if we're afraid of spam, low quality reports, or duplicates we could associate a tag with tasks created this way in order to more easily triage them.

I have seen several projects (using Bugzilla) having either dedicated components for default incoming reports (Mozilla: "Firefox > Untriaged") or for tickets which were created via external reporting tools (e.g. LibreOffice adds a "bsa" whiteboard entry in their Bugzilla when their custom 'Bug Submission Agent' was used).

Additionally, having a better Search-on-create (Bugzilla, Quora) to keep duplicates from being created in the first place.

I agree but that's a complex field. :) Most popular research field to improve search in issue tracking is applying Natural Language Processing (NLP) on bug databases, some combined with reducing the search set to tickets more recently created, activity on tasks, etc). One field is identifying potential duplicates (IMHO with acceptable results for some approaches), there's also proposing potential assignees etc.
Naive thought: The very first step would be implementing NLP support in the ElasticSearch backend used by Phab, I guess, and then see how to use that in the frontend (also cf. T45).

Aklapper removed Aklapper as the assignee of this task.Nov 3 2014, 9:06 AM
Qgil added a comment.Dec 8 2014, 11:07 AM

I still think that opening task creation and comments to anonymous users will bring much more problems and overhead than benefits.

If beta features or whoever in Wikimedia want to offer a feedback channel for anonymous users, they can do so easily by directing them to a Flow page. That is an easy to use and easy to watch channel open to anonymous. From there, the followers of that channel could create valid Phabricator tasks here.

Proposing to decline.

This comment was removed by mmodell.
Aklapper closed this task as Declined.Dec 12 2014, 11:47 AM
Aklapper claimed this task.
Nnemo added a subscriber: Nnemo.May 8 2015, 4:19 AM
Qgil added a comment.Aug 19 2015, 1:56 PM

From {109566}:

of course initially this could only be a test, until we confirm we're not overrun with spam etc.

I think this idea is worth exploring, but at the same time I also reckon that this might be a can of worms. If this is the way to solve T29852: Wikimedia wikis need better issue reporting system, then it might be worth the effort/risk. If not, then I'd rather focus first on discussing what do we want for T29852.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM